Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

This should fix #85.

It's prefered to fallback to the newer api instead of checking for
versions before 1.9 and 1.9 and leaving others open to breakage.
  • Loading branch information...
commit e6b864bfaebb88ea3e7eee6b1ada1ec8572b6294 1 parent 0de7bfd
@jansegre jansegre authored
Showing with 2 additions and 6 deletions.
  1. +2 −6 lib/net/ssh/authentication/pageant.rb
View
8 lib/net/ssh/authentication/pageant.rb
@@ -2,9 +2,7 @@
if RUBY_VERSION < "1.9"
require 'dl/struct'
-end
-
-if RUBY_VERSION =~ /^1.9/
+else
require 'dl/types'
require 'dl'
end
@@ -34,9 +32,7 @@ module Win
dlload 'user32'
dlload 'kernel32'
- end
-
- if RUBY_VERSION =~ /^1.9/
+ else
extend DL::Importer
dlload 'user32','kernel32'
include DL::Win32Types
Please sign in to comment.
Something went wrong with that request. Please try again.